Subject: Re: [PATCH v2 04/24] arm64: Move MAIR_EL1_SET to asm/memory.h

From: Marc Zyngier <[email-masked]>
Date: Wed, 25 Nov 2020 13:33:22 +0000

On 2020-11-25 13:26, David Brazdil wrote:

>> I came up with the following patch on top of this series that seems to
>> compile without issue.
> 
> That seems to have an implicit dependency of sysreg.h on memory.h, 
> doesn't it?
> I had it the other way round initially. I also tried including memory.h 
> in
> sysreg.h. That creates a circular dependency mmdebug.h -> bug.h -> ... 
> ->
> sysreg.h -> memory.h -> mmdebug.h. Pretty annoying. I could try to fix 
> that,
> or create a new header file... :(

I don't think we need this. Any low-level source using MAIR_ELx_SET is 
bound
to require memory.h as well, one way or another. As this is all 
#defines,
it won't break anything unless actively used.

And given that this is used in exactly *two* places, I don't believe 
there
is a need for over-engineering this.

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel